.print-grades {
  float: right; }
  @media print {
    .print-grades {
      display: none; } }

#grades_summary {
  border-collapse: collapse;
  border-bottom: 1px solid #eeeeee; }
  @media print {
    #grades_summary {
      border-bottom: none; }
      #grades_summary a {
        text-decoration: none !important;
        color: black; } }

#grades_summary thead th {
  border-top: none;
  font-size: 1em;
  padding: 4px 5px 2px;
  font-weight: bold;
  background-color: #444444;
  color: white;
  text-align: left; }
  @media print {
    #grades_summary thead th {
      text-transform: uppercase;
      color: black;
      font-size: 1.2em;
      font-weight: bold;
      border-bottom: 2px solid black;
      padding-left: 0; } }

#grades_summary tr > * {
  padding: 5px;
  text-align: left;
  border-top: 2px solid black;
  background-color: white; }
  @media print {
    #grades_summary tr > * {
      border-top: 1px solid black;
      color: black !important;
      background-color: transparent !important; } }

#grades_summary tr.comments td {
  border-width: 0;
  font-size: 0.8em;
  padding-left: 30px; }
  @media print {
    #grades_summary tr.comments td {
      padding-left: 0;
      font-style: italic;
      font-size: 0.9em; } }

#grades_summary tr.rubric_assessments > td {
  border-width: 0;
  padding-left: 30px; }
  #grades_summary tr.rubric_assessments > td table.rubric {
    margin-top: 0;
    margin-bottom: 20px; }

#grades_summary tr.editable:hover > * {
  background-color: #ccddff; }

#grades_summary tr.editable.student_assignment.dropped:hover td.points_possible {
  background-image: url(/images/earmark_hover.png); }

#grades_summary tr.student_assignment.dropped td {
  color: #cccccc;
  border-top-color: #eeeeee; }
  @media print {
    #grades_summary tr.student_assignment.dropped td {
      color: black;
      border-top-color: black; } }

#grades_summary tr.student_assignment.dropped td.points_possible {
  background-image: url(/images/earmark.png);
  background-repeat: no-repeat;
  background-position: top left; }

#grades_summary tr.student_assignment.dropped td a {
  color: #aaaaaa; }
  @media print {
    #grades_summary tr.student_assignment.dropped td a {
      color: black;
      font-weight: normal; } }

#grades_summary td.assignment_score {
  cursor: pointer;
  text-align: center;
  white-space: nowrap; }

#grades_summary tr > .assignment_score:hover .grade {
  font-weight: bold; }

#grades_summary tr > .assignment_score .grade.changed {
  color: #880000;
  font-weight: bold; }

#grades_summary td.possible {
  text-align: right;
  padding-right: 15px; }

#grades_summary th.title {
  font-size: 1.1em;
  font-weight: normal;
  padding-left: 20px; }
  @media print {
    #grades_summary th.title {
      padding-left: 0;
      font-size: 1em;
      font-weight: normal; } }

#grades_summary th.title .context {
  visibility: hidden;
  font-size: 0.8em;
  color: #999999;
  padding-left: 10px;
  line-height: 0.5em; }
  @media print {
    #grades_summary th.title .context {
      visibility: visible;
      margin: 5px 0;
      padding: 0; } }

#grades_summary th.title .context.context_hover {
  visibility: visible; }

#grades_summary td.due {
  font-size: 0.8em;
  white-space: nowrap; }
  @media print {
    #grades_summary td.due {
      font-size: 1em; } }

#grades_summary tr.assignment_graded > * {
  background-color: #eeeeee; }
  @media print {
    #grades_summary tr.assignment_graded > * {
      background-color: transparent; }
      #grades_summary tr.assignment_graded > *.title {
        font-weight: bold; } }

#grades_summary tr.final_grade > * {
  background-color: #666666;
  color: #eeeeee;
  font-size: 1.5em;
  font-weight: bold; }
  @media print {
    #grades_summary tr.final_grade > * {
      background-color: transparent;
      text-transform: uppercase;
      border-top: 2px solid black;
      font-size: 1.2em; } }

#grades_summary tr.group_total td, #grades_summary tr.group_total th[scope=row] {
  background-color: #cccccc;
  border-top-width: 0;
  font-weight: bold; }
  @media print {
    #grades_summary tr.group_total td, #grades_summary tr.group_total th[scope=row] {
      background-color: transparent;
      border-top-width: 1px;
      text-transform: uppercase; }
      #grades_summary tr.group_total td.title .context, #grades_summary tr.group_total th[scope=row].title .context {
        display: none; } }

#grades_summary tr.group_total td.possible {
  font-weight: normal;
  font-size: 0.8em; }

.revert_score_link {
  position: absolute;
  top: 2px;
  left: 0px;
  opacity: 0.5;
  display: none; }

.revert_score_link:hover {
  opacity: 1; }

#grades_summary .tooltip {
  position: relative;
  z-index: 10;
  outline: none; }
  #grades_summary .tooltip:hover, #grades_summary .tooltip:focus {
    text-decoration: none; }
    #grades_summary .tooltip:hover .tooltip_wrap, #grades_summary .tooltip:hover .tooltip_text, #grades_summary .tooltip:focus .tooltip_wrap, #grades_summary .tooltip:focus .tooltip_text {
      visibility: visible; }
  #grades_summary .tooltip:active {
    outline: none;
    text-decoration: none; }
    #grades_summary .tooltip:active .tooltip_wrap, #grades_summary .tooltip:active .tooltip_text {
      visibility: visible; }
  #grades_summary .tooltip .tooltip_wrap, #grades_summary .tooltip .tooltip_text {
    display: block;
    visibility: hidden; }
  #grades_summary .tooltip .tooltip_wrap {
    background: url("/images/tooltip_carat.png") no-repeat left bottom;
    bottom: 15px;
    padding-bottom: 3px;
    position: absolute; }
    .ie #grades_summary .tooltip .tooltip_wrap {
      bottom: 25px; }
  #grades_summary .tooltip .tooltip_text {
    background-color: #444444;
    background-position: left bottom;
    color: white;
    left: 0px;
    max-width: 250px;
    padding: 2px 7px 2px;
    white-space: nowrap; }
    #grades_summary .tooltip .tooltip_text table tr td {
      background-color: transparent;
      font-size: 1em;
      padding: 0 2px;
      border-width: 0px; }
  #grades_summary .tooltip .right {
    right: 0px;
    background-position: right bottom; }

#observer_user_url {
  font-size: 0.8em;
  border: 1px solid #aaaaaa; }

#only_consider_graded_assignments_wrapper label {
  font-size: 0.8em;
  display: block; }
